/*
 * Sixth 3D engine demos. Copyright ©2012-2019, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 */

package eu.svjatoslav.sixth.e3d.examples;

import eu.svjatoslav.sixth.e3d.geometry.Point3D;
import eu.svjatoslav.sixth.e3d.gui.ViewFrame;
import eu.svjatoslav.sixth.e3d.math.Transform;
import eu.svjatoslav.sixth.e3d.renderer.raster.ShapeCollection;
import eu.svjatoslav.sixth.e3d.renderer.raster.shapes.composite.Galaxy;

public class PointCloudDemo {

    public static void main(final String[] args) {

        final ViewFrame viewFrame = new ViewFrame();

        final ShapeCollection geometryCollection = viewFrame.getViewPanel()
                .getRootShapeCollection();

        Transform transform = new Transform(new Point3D(0, -1000, 1000), 0, 0);

        // add galaxy
        geometryCollection.addShape(new Galaxy(500, 3, 10000, transform));

    }
}
